Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366533 - [abrt] ibus-libpinyin: pinyin::compute_pronunciation_possibility(): ibus-engine-libpinyin killed by SIGABRT
Summary: [abrt] ibus-libpinyin: pinyin::compute_pronunciation_possibility(): ibus-engi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-libpinyin
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c9ffda64260a800796ae875c89d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-12 09:14 UTC by Sean Fu
Modified: 2016-08-29 08:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-18 03:50:43 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-08-12 09:14 UTC, Sean Fu
no flags Details
File: cgroup (deleted)
2016-08-12 09:14 UTC, Sean Fu
no flags Details
File: core_backtrace (deleted)
2016-08-12 09:14 UTC, Sean Fu
no flags Details
File: dso_list (deleted)
2016-08-12 09:14 UTC, Sean Fu
no flags Details
File: environ (deleted)
2016-08-12 09:14 UTC, Sean Fu
no flags Details
File: limits (deleted)
2016-08-12 09:14 UTC, Sean Fu
no flags Details
File: maps (deleted)
2016-08-12 09:14 UTC, Sean Fu
no flags Details
File: mountinfo (deleted)
2016-08-12 09:14 UTC, Sean Fu
no flags Details
File: namespaces (deleted)
2016-08-12 09:14 UTC, Sean Fu
no flags Details
File: open_fds (deleted)
2016-08-12 09:14 UTC, Sean Fu
no flags Details
File: proc_pid_status (deleted)
2016-08-12 09:14 UTC, Sean Fu
no flags Details
File: var_log_messages (deleted)
2016-08-12 09:14 UTC, Sean Fu
no flags Details

Description Sean Fu 2016-08-12 09:14:07 UTC
Description of problem:
the fixed application is still unstable. It's crashed randomly

Version-Release number of selected component:
ibus-libpinyin-1.7.92-2.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-engine-libpinyin --ibus
crash_function: pinyin::compute_pronunciation_possibility
executable:     /usr/libexec/ibus-engine-libpinyin
global_pid:     2029
kernel:         4.6.5-300.fc24.x86_64
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 pinyin::compute_pronunciation_possibility at phonetic_key_matrix.cpp:501
 #5 pinyin::PinyinLookup2::validate_constraint at pinyin_lookup2.cpp:759
 #6 pinyin_update_constraints at pinyin.cpp:1074
 #7 pinyin_guess_sentence at pinyin.cpp:1087
 #8 PY::PhoneticEditor::removeCharBefore at PYPPhoneticEditor.cc:439
 #9 PY::PhoneticEditor::processFunctionKey at PYPPhoneticEditor.cc:82
 #10 PY::PinyinEngine::processKeyEvent at PYPPinyinEngine.cc:223
 #11 _ibus_marshal_BOOLEAN__UINT_UINT_UINT at ibusmarshalers.c:290
 #16 ibus_engine_service_method_call at ibusengine.c:883
 #17 call_in_idle_cb at gdbusconnection.c:4832

Comment 1 Sean Fu 2016-08-12 09:14:14 UTC
Created attachment 1190308 [details]
File: backtrace

Comment 2 Sean Fu 2016-08-12 09:14:18 UTC
Created attachment 1190309 [details]
File: cgroup

Comment 3 Sean Fu 2016-08-12 09:14:21 UTC
Created attachment 1190310 [details]
File: core_backtrace

Comment 4 Sean Fu 2016-08-12 09:14:24 UTC
Created attachment 1190311 [details]
File: dso_list

Comment 5 Sean Fu 2016-08-12 09:14:26 UTC
Created attachment 1190312 [details]
File: environ

Comment 6 Sean Fu 2016-08-12 09:14:28 UTC
Created attachment 1190313 [details]
File: limits

Comment 7 Sean Fu 2016-08-12 09:14:33 UTC
Created attachment 1190314 [details]
File: maps

Comment 8 Sean Fu 2016-08-12 09:14:36 UTC
Created attachment 1190315 [details]
File: mountinfo

Comment 9 Sean Fu 2016-08-12 09:14:39 UTC
Created attachment 1190316 [details]
File: namespaces

Comment 10 Sean Fu 2016-08-12 09:14:43 UTC
Created attachment 1190317 [details]
File: open_fds

Comment 11 Sean Fu 2016-08-12 09:14:46 UTC
Created attachment 1190318 [details]
File: proc_pid_status

Comment 12 Sean Fu 2016-08-12 09:14:59 UTC
Created attachment 1190320 [details]
File: var_log_messages

Comment 13 Sean Fu 2016-08-12 09:58:04 UTC
It's crashed everyday.

Comment 14 Peng Wu 2016-08-15 05:09:11 UTC
Could you tell me what you are inputting when it crashes?

I need to re-produce it first, thanks!

Comment 15 Fedora Update System 2016-08-15 09:28:40 UTC
libpinyin-1.5.92-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9c1b9b35af

Comment 16 Fedora Update System 2016-08-15 09:28:48 UTC
libpinyin-1.5.92-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-abd0229227

Comment 17 Sean Fu 2016-08-15 13:16:19 UTC
(In reply to Peng Wu from comment #14)
> Could you tell me what you are inputting when it crashes?
> 
> I need to re-produce it first, thanks!

I noticed you had been submitted a new version.Have you fixed bugs?

Comment 18 Fedora Update System 2016-08-15 18:26:56 UTC
libpinyin-1.5.92-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-abd0229227

Comment 19 Peng Wu 2016-08-16 03:19:48 UTC
Yes, fixed one bug. :-)

Comment 20 Fedora Update System 2016-08-16 05:56:09 UTC
libpinyin-1.5.92-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9c1b9b35af

Comment 21 Sean Fu 2016-08-16 13:43:56 UTC
(In reply to Peng Wu from comment #19)
> Yes, fixed one bug. :-)

thx for your work.

Comment 22 Fedora Update System 2016-08-18 03:50:41 UTC
libpinyin-1.5.92-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-08-29 08:05:57 UTC
libpinyin-1.5.92-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.